org.apache.ignite.internal.processors.resource

## Class GridResourceIoc

- java.lang.Object
- - org.apache.ignite.internal.processors.resource.GridResourceIoc

    public class GridResourceIoc
    extends Object

Resource container contains caches for classes used for injection. Caches used to improve the efficiency of standard Java reflection mechanism.

### Nested Class Summary

Nested Classes
`static class` `GridResourceIoc.AnnotationSet`

### Constructor Summary

Constructors
Constructor and Description
`GridResourceIoc()`

### Method Summary

Methods
`void` `printMemoryStats()` Print memory statistics

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridResourceIoc

    public GridResourceIoc()

### Method Detail

#### printMemoryStats

    public void printMemoryStats()

Print memory statistics

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017